> ## Documentation Index
> Fetch the complete documentation index at: https://docs.watchr.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get information about a movie



## OpenAPI

````yaml /api-reference/openapi.json get /movies/{movie_id}
openapi: 3.1.0
info:
  title: Watchr
  version: 0.0.0
servers: []
security: []
paths:
  /movies/{movie_id}:
    get:
      tags:
        - Movies
      summary: Get information about a movie
      operationId: get_movie
      parameters:
        - name: movie_id
          in: path
          required: true
          schema:
            type: integer
            description: Unique Identifier of a movie.
            title: Movie Id
          description: Unique Identifier of a movie.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Movie'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Movie:
      properties:
        id:
          type: string
          title: Id
          description: Unique Identifier of a movie
        title:
          type: string
          title: Title
        overview:
          anyOf:
            - type: string
            - type: 'null'
          title: Overview
        runtime:
          type: integer
          title: Runtime
        release:
          type: string
          format: date
          title: Release
        genres:
          items:
            $ref: '#/components/schemas/Genre'
          type: array
          title: Genres
          description: List of genres associated with this movie.
        revenue:
          type: integer
          title: Revenue
        budget:
          type: integer
          title: Budget
        poster:
          anyOf:
            - type: string
            - type: 'null'
          title: Poster
        backdrop:
          anyOf:
            - type: string
            - type: 'null'
          title: Backdrop
        collection:
          anyOf:
            - type: string
            - type: 'null'
          title: Collection
        production_companies:
          items:
            type: string
          type: array
          title: Production Companies
        production_countries:
          items:
            $ref: '#/components/schemas/Country'
          type: array
          title: Production Countries
      type: object
      required:
        - id
        - title
        - runtime
        - release
        - genres
        - revenue
        - budget
        - collection
        - production_companies
        - production_countries
      title: Movie
      description: Information about a movie.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Genre:
      type: string
      enum:
        - Action
        - Adventure
        - Animation
        - Comedy
        - Crime
        - Documentary
        - Drama
        - Family
        - Fantasy
        - History
        - Horror
        - Music
        - Mystery
        - Romance
        - Science Fiction
        - TV Movie
        - Thriller
        - War
        - Western
      title: Genre
      description: Types of Genres a movie can have.
    Country:
      properties:
        code:
          type: string
          maxLength: 2
          minLength: 2
          title: Code
          description: ISO 3166 country code
        name:
          type: string
          title: Name
      type: object
      required:
        - code
        - name
      title: Country
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````